<?php
namespace Claromentis\People\Validator;

$GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"] = (@$GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"] ?: array()) + array("_bd71c3b5c2" . "01fc11db82e" . "d14ce424de5" => base64_decode("aW5" . "fYX" . "JyY" . "Xk="), "_2cb499b451eb718f841aaa78d" . "c70cc52" => base64_decode("IiBmb3IgZGF0ZS" . "10aW1lIGZpZWxk" . "IA=="), "_66a6b98e1f1601e30de10feb" . "344fcdb6" => base64_decode("SW52YWxpZ" . "CB2YWx1ZS" . "Ai"), "_4b4a03d" . "be69a4c3" . "9db014be" . "2875a731" . "3" => base64_decode("Tm9uLW51bWVyaWMgdmFsdWUgIg" . "=="), "_fa96cdf58bff3b0695fb2bc08" . "03d7b12" => base64_decode("IGRvZXMgbm9" . "0IGV4aXN0"), "_ac927f4168510971a59508f1f08cf" . "98a" => base64_decode("L15cZHs4f" . "SQv"), "_535e3fcb3f5d89c525bb618a08" . "cc8dcc" => base64_decode("LiBWYWx1ZSBtdXN0IGJlIGVpdGhlciBhIGRvY3VtZW5" . "0IElEIG9yIGEgZG9jdW1lbnQgb2JqZWN0"), "_62d701c3c53404f063" . "45eb35720a47b4" => base64_decode("aXNfbnVtZX" . "JpYw=="), "_a7fdbac2a6d0ebb5" . "bb8ea569e8173d7b" => base64_decode("IiBmb3IgZGF0ZSBmaWV" . "sZCA="), "_bb26699a673361ff7c17" . "444a2a82deba" => base64_decode("SW52YWxpZCB2YWx1ZSBnaXZlbiBmb3IgZ" . "G9jdW1lbnQgbGluayBmaWVsZCA="), "_d155d43a39d" . "e93f858123c6" . "b6ce31d8a" => base64_decode("cHJlZ19tYXRja" . "A=="), "_a827c5bc10b88" . "ccab760d95c58b" . "fbeaa" => base64_decode("Q291bGQgbm90IHBhcnNlIHZ" . "hbHVlICI="), "_3aec16c1a" . "a2104da778" . "e412207d6c" . "415" => base64_decode("L15cZHsxN" . "H18XGR7OH" . "0kLw=="), "_27ba77e349cbe144e8794d0c0" . "497a106" => base64_decode("IiBnaXZlbiBmb3Igc2VsZWN0IGZ" . "pZWxkIA=="), "_d013620d4b36" . "b1d03509cbeff" . "31bbdb9" => base64_decode("IiBnaXZlbiBmb3IgbnVtZXJpYyB" . "maWVsZCA="), "_dc99f29eb97c2" . "74b4e47f6701fb" . "2d842" => base64_decode("TWV0Y" . "WRhdG" . "EgZml" . "lbGQg"));
use Claromentis\People\Exception\ValidationException;
use Claromentis\People\Repository\UserRepository;
class MetadataValidator
{
    protected $user_repository;
    public function __construct(UserRepository $_eeeeb0d673b7b0fd0bdca58b5541c3e0)
    {
        $this->user_repository = $_eeeeb0d673b7b0fd0bdca58b5541c3e0;
    }
    
    
    
    
    
    
    
    public function Validate(int $_8bd60f167b34bb2f633dd93934749b67, array $values) : array
    {
        $_cd32cee6e5836ae05dc7b722f2ec21e9 = new \MetaDataSet($_8bd60f167b34bb2f633dd93934749b67);
        $_cd32cee6e5836ae05dc7b722f2ec21e9->LoadAllFields();
        $output = [];
        foreach ($values as $key => $value) {
            $field = $_cd32cee6e5836ae05dc7b722f2ec21e9->GetMetaFieldByName($key);
            if ($field === false) {
                throw new ValidationException($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_dc99f29eb97c274b4" . "e47f6701fb2d842"] . $key . $GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_fa96cdf58bff3b0695fb2bc0803" . "d7b12"]);
            }
            switch ($field->GetMetaType()) {
                case META_TYPE_TEXT:
                case META_TYPE_DEFAULT:
                    break;
                case META_TYPE_INT:
                    if (!$GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_62d701c3c53404f06345eb35720a4" . "7b4"]($value)) {
                        throw new ValidationException($GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_4b4a03dbe69a4c39db014be2875a731" . "3"] . $value . $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_d013620d4b36b1d03509" . "cbeff31bbdb9"] . $key);
                    }
                    break;
                case META_TYPE_DATETIME:
                    if (!$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_d155d43a39de" . "93f858123c6b6" . "ce31d8a"]($GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_3aec16c1aa2104da778e412207d" . "6c415"], $value)) {
                        throw new ValidationException($GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_a827c5bc10b88ccab760" . "d95c58bfbeaa"] . $value . $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_2cb499b451eb718f8" . "41aaa78dc70cc52"] . $key);
                    }
                    break;
                case META_TYPE_SELECT:
                    $field->values->Load();
                    $_4d67cdd33a7358d7cc3b5e51df410bbb = $field->values->GetAllValues();
                    if (!$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_bd71c3b5c201fc11db82e" . "d14ce424de5"]($value, $_4d67cdd33a7358d7cc3b5e51df410bbb)) {
                        throw new ValidationException($GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_66a6b98e1f1601e30" . "de10feb344fcdb6"] . $value . $GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_27ba77e349cbe14" . "4e8794d0c0497a10" . "6"] . $key);
                    }
                    break;
                case META_TYPE_CHECK:
                    break;
                case META_TYPE_DOCLINK:
                    if (!$GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_62d701c3c53404f06345eb" . "35720a47b4"]($value) && !$value instanceof \ERMSDocument && !$value instanceof \Claromentis\Core\Metadata\Type\DocumentObject) {
                        throw new ValidationException($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_bb26699a67" . "3361ff7c174" . "44a2a82deba"] . $key . $GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_535e3fcb3f5d89c" . "525bb618a08cc8dc" . "c"]);
                    }
                    break;
                case META_TYPE_LINK:
                    break;
                case META_TYPE_USER:
                    break;
                case META_TYPE_DATE:
                    if (!$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_d155d43a39de93f858123c6b6ce31d" . "8a"]($GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_ac927f4168510971a59508f1f08" . "cf98a"], $value)) {
                        throw new ValidationException($GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_a827c5bc10b" . "88ccab760d95" . "c58bfbeaa"] . $value . $GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_a7fdbac2a6d0ebb5bb8ea56" . "9e8173d7b"] . $key);
                    }
                    break;
                case META_TYPE_SPECIAL:
                    break;
                case META_TYPE_FILE:
                    break;
                case META_TYPE_ADDRESS:
                    break;
                case META_TYPE_MULTISELECT:
                    break;
                case META_TYPE_DATE_NO_YEAR:
                    break;
                case META_TYPE_IMAGE:
                    break;
            }
            $output[$key] = $value;
        }
    }
}